
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef p3d_POSTER_LIB_H
#define p3d_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "p3dType.h"
#include "p3dError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[P3D_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} P3D_CNTRL_STR;

/* For consistency with other posters */
typedef P3D_CNTRL_STR P3D_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "p3dPosterLibStruct.h"



/* Posters */
#define P3D_CNTRL_POSTER_NAME genomInstanceSuffixName("p3d", "Cntrl")
#define P3D_SPEEDREF_POSTER_NAME genomInstanceSuffixName("p3d", "SpeedRef")
#define P3D_WAYPOINTS_POSTER_NAME genomInstanceSuffixName("p3d", "WayPoints")
#define P3D_PATH_POSTER_NAME genomInstanceSuffixName("p3d", "Path")
#define P3D_MONITORING_POSTER_NAME genomInstanceSuffixName("p3d", "Monitoring")
#define P3D_P3DSTATUS_POSTER_NAME genomInstanceSuffixName("p3d", "p3dStatus")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS p3dPosterInit ( void );
extern POSTER_ID p3dCntrlPosterID ();
extern STATUS p3dCntrlPosterRead ( P3D_CNTRL_STR *p3dCntrlStrId );
extern STATUS p3dCntrlPosterInit ( void );
extern STATUS p3dCntrlInstancePosterRead(const char *name, P3D_CNTRL_STR *p3dCntrlStrId);
extern STATUS p3dSpeedRefPosterInit ( void );
extern POSTER_ID p3dSpeedRefPosterID ( void );
extern STATUS p3dSpeedRefPosterRead ( P3D_SPEEDREF_POSTER_STR *x );
extern STATUS p3dSpeedRefInstancePosterRead ( const char *, P3D_SPEEDREF_POSTER_STR * );
extern STATUS p3dSpeedRefspeedRefPosterRead ( GENPOS_CART_SPEED *speedRef );
extern STATUS p3dSpeedRefspeedRefInstancePosterRead( const char *, GENPOS_CART_SPEED * );
extern STATUS p3dWayPointsPosterInit ( void );
extern POSTER_ID p3dWayPointsPosterID ( void );
extern STATUS p3dWayPointsPosterRead ( P3D_WAYPOINTS_POSTER_STR *x );
extern STATUS p3dWayPointsInstancePosterRead ( const char *, P3D_WAYPOINTS_POSTER_STR * );
extern STATUS p3dWayPointsgoalDistPosterRead ( P3DGoalDistance *goalDist );
extern STATUS p3dWayPointsgoalDistInstancePosterRead( const char *, P3DGoalDistance * );
extern STATUS p3dWayPointswpListPosterRead ( P3DWayPointList *wpList );
extern STATUS p3dWayPointswpListInstancePosterRead( const char *, P3DWayPointList * );
extern STATUS p3dPathPosterInit ( void );
extern POSTER_ID p3dPathPosterID ( void );
extern STATUS p3dPathPosterRead ( P3D_PATH_POSTER_STR *x );
extern STATUS p3dPathInstancePosterRead ( const char *, P3D_PATH_POSTER_STR * );
extern STATUS p3dPathpathPosterRead ( P3DSolution *path );
extern STATUS p3dPathpathInstancePosterRead( const char *, P3DSolution * );
extern STATUS p3dMonitoringPosterInit ( void );
extern POSTER_ID p3dMonitoringPosterID ( void );
extern STATUS p3dMonitoringPosterRead ( P3D_MONITORING_POSTER_STR *x );
extern STATUS p3dMonitoringInstancePosterRead ( const char *, P3D_MONITORING_POSTER_STR * );
extern STATUS p3dMonitoringmonitorDataPosterRead ( P3D_MONITOR_DATA *monitorData );
extern STATUS p3dMonitoringmonitorDataInstancePosterRead( const char *, P3D_MONITOR_DATA * );
extern STATUS p3dp3dStatusPosterInit ( void );
extern POSTER_ID p3dp3dStatusPosterID ( void );
extern STATUS p3dp3dStatusPosterRead ( P3D_P3DSTATUS_POSTER_STR *x );
extern STATUS p3dp3dStatusInstancePosterRead ( const char *, P3D_P3DSTATUS_POSTER_STR * );
extern STATUS p3dp3dStatusmovingStatusPosterRead ( P3DStatus *movingStatus );
extern STATUS p3dp3dStatusmovingStatusInstancePosterRead( const char *, P3DStatus * );
#ifdef __cplusplus
}
#endif
#endif

