
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef P3D_SCAN_H
#define P3D_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicScan.h"

#include "server/dtmScan.h"

#include "server/pomScan.h"

#include "server/genPosScan.h"


/* Structures du module */
#include "p3dPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_P3D_P3DSTATUS_POSTER_STR ( FILE *in, FILE *out,
       struct P3D_P3DSTATUS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_MONITORING_POSTER_STR ( FILE *in, FILE *out,
       struct P3D_MONITORING_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_PATH_POSTER_STR ( FILE *in, FILE *out,
       struct P3D_PATH_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_WAYPOINTS_POSTER_STR ( FILE *in, FILE *out,
       struct P3D_WAYPOINTS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_SPEEDREF_POSTER_STR ( FILE *in, FILE *out,
       struct P3D_SPEEDREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_STR ( FILE *in, FILE *out,
       struct P3D_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_DUMP_PARAMS ( FILE *in, FILE *out,
       struct P3D_DUMP_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_enum_P3D_DUMP_STATUS ( FILE *in, FILE *out,
       enum P3D_DUMP_STATUS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_MONITOR_PARAMS ( FILE *in, FILE *out,
       struct P3D_MONITOR_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_enum_P3D_MONITOR_LOG_FLAG ( FILE *in, FILE *out,
       enum P3D_MONITOR_LOG_FLAG *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_MONITOR_DATA ( FILE *in, FILE *out,
       struct P3D_MONITOR_DATA *x, int indent, int nDim, int *dims );
extern int scan_enum_P3D_MONITOR_STATUS ( FILE *in, FILE *out,
       enum P3D_MONITOR_STATUS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_PLACEROBOT_PARAMS ( FILE *in, FILE *out,
       struct P3D_PLACEROBOT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_DISPLAYCONFIG_PARAMS ( FILE *in, FILE *out,
       struct P3D_DISPLAYCONFIG_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_ROBOT_POS ( FILE *in, FILE *out,
       struct P3D_ROBOT_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_DISPLAY_STATE ( FILE *in, FILE *out,
       struct P3D_DISPLAY_STATE *x, int indent, int nDim, int *dims );
extern int scan_enum_P3D_GDHE_CONNECTION ( FILE *in, FILE *out,
       enum P3D_GDHE_CONNECTION *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_DISPLAY_PARAMS ( FILE *in, FILE *out,
       struct P3D_DISPLAY_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DSolution ( FILE *in, FILE *out,
       struct P3DSolution *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DArcGen ( FILE *in, FILE *out,
       struct P3DArcGen *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DNodeGen ( FILE *in, FILE *out,
       struct P3DNodeGen *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DRobotConfigGen ( FILE *in, FILE *out,
       struct P3DRobotConfigGen *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DStatus ( FILE *in, FILE *out,
       struct P3DStatus *x, int indent, int nDim, int *dims );
extern int scan_enum_P3D_STATUS_FLAG ( FILE *in, FILE *out,
       enum P3D_STATUS_FLAG *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DGoalDistance ( FILE *in, FILE *out,
       struct P3DGoalDistance *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DWayPointList ( FILE *in, FILE *out,
       struct P3DWayPointList *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DWayPoint ( FILE *in, FILE *out,
       struct P3DWayPoint *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_SAVEMAP_PARAMS ( FILE *in, FILE *out,
       struct P3D_SAVEMAP_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DSDIIo ( FILE *in, FILE *out,
       struct P3DSDIIo *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DPlanParams ( FILE *in, FILE *out,
       struct P3DPlanParams *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DArcsParams ( FILE *in, FILE *out,
       struct P3DArcsParams *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DLamaLimits ( FILE *in, FILE *out,
       struct P3DLamaLimits *x, int indent, int nDim, int *dims );
extern int scan_struct_P3DLamaGeom ( FILE *in, FILE *out,
       struct P3DLamaGeom *x, int indent, int nDim, int *dims );
extern int scan_struct_P3D_INIT ( FILE *in, FILE *out,
       struct P3D_INIT *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_P3D_INIT ( FILE *in, FILE *out,
       P3D_INIT *x, int indent, int nDim, int *dims );
extern int scan_P3DLamaGeom ( FILE *in, FILE *out,
       P3DLamaGeom *x, int indent, int nDim, int *dims );
extern int scan_P3DLamaLimits ( FILE *in, FILE *out,
       P3DLamaLimits *x, int indent, int nDim, int *dims );
extern int scan_P3DArcsParams ( FILE *in, FILE *out,
       P3DArcsParams *x, int indent, int nDim, int *dims );
extern int scan_P3DPlanParams ( FILE *in, FILE *out,
       P3DPlanParams *x, int indent, int nDim, int *dims );
extern int scan_P3DSDIIo ( FILE *in, FILE *out,
       P3DSDIIo *x, int indent, int nDim, int *dims );
extern int scan_P3D_SAVEMAP_PARAMS ( FILE *in, FILE *out,
       P3D_SAVEMAP_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3DWayPoint ( FILE *in, FILE *out,
       P3DWayPoint *x, int indent, int nDim, int *dims );
extern int scan_P3DWayPointList ( FILE *in, FILE *out,
       P3DWayPointList *x, int indent, int nDim, int *dims );
extern int scan_P3DGoalDistance ( FILE *in, FILE *out,
       P3DGoalDistance *x, int indent, int nDim, int *dims );
extern int scan_P3D_STATUS_FLAG ( FILE *in, FILE *out,
       P3D_STATUS_FLAG *x, int indent, int nDim, int *dims );
extern int scan_P3DStatus ( FILE *in, FILE *out,
       P3DStatus *x, int indent, int nDim, int *dims );
extern int scan_P3DRobotConfigGen ( FILE *in, FILE *out,
       P3DRobotConfigGen *x, int indent, int nDim, int *dims );
extern int scan_P3DNodeGen ( FILE *in, FILE *out,
       P3DNodeGen *x, int indent, int nDim, int *dims );
extern int scan_P3DArcGen ( FILE *in, FILE *out,
       P3DArcGen *x, int indent, int nDim, int *dims );
extern int scan_P3DSolution ( FILE *in, FILE *out,
       P3DSolution *x, int indent, int nDim, int *dims );
extern int scan_P3D_DISPLAY_PARAMS ( FILE *in, FILE *out,
       P3D_DISPLAY_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3D_GDHE_CONNECTION ( FILE *in, FILE *out,
       P3D_GDHE_CONNECTION *x, int indent, int nDim, int *dims );
extern int scan_P3D_DISPLAY_STATE ( FILE *in, FILE *out,
       P3D_DISPLAY_STATE *x, int indent, int nDim, int *dims );
extern int scan_P3D_ROBOT_POS ( FILE *in, FILE *out,
       P3D_ROBOT_POS *x, int indent, int nDim, int *dims );
extern int scan_P3D_DISPLAYCONFIG_PARAMS ( FILE *in, FILE *out,
       P3D_DISPLAYCONFIG_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3D_PLACEROBOT_PARAMS ( FILE *in, FILE *out,
       P3D_PLACEROBOT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3D_MONITOR_STATUS ( FILE *in, FILE *out,
       P3D_MONITOR_STATUS *x, int indent, int nDim, int *dims );
extern int scan_P3D_MONITOR_DATA ( FILE *in, FILE *out,
       P3D_MONITOR_DATA *x, int indent, int nDim, int *dims );
extern int scan_P3D_MONITOR_LOG_FLAG ( FILE *in, FILE *out,
       P3D_MONITOR_LOG_FLAG *x, int indent, int nDim, int *dims );
extern int scan_P3D_MONITOR_PARAMS ( FILE *in, FILE *out,
       P3D_MONITOR_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3D_DUMP_STATUS ( FILE *in, FILE *out,
       P3D_DUMP_STATUS *x, int indent, int nDim, int *dims );
extern int scan_P3D_DUMP_PARAMS ( FILE *in, FILE *out,
       P3D_DUMP_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_P3D_STR ( FILE *in, FILE *out,
       P3D_STR *x, int indent, int nDim, int *dims );
extern int scan_P3D_SPEEDREF_POSTER_STR ( FILE *in, FILE *out,
       P3D_SPEEDREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_P3D_WAYPOINTS_POSTER_STR ( FILE *in, FILE *out,
       P3D_WAYPOINTS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_P3D_PATH_POSTER_STR ( FILE *in, FILE *out,
       P3D_PATH_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_P3D_MONITORING_POSTER_STR ( FILE *in, FILE *out,
       P3D_MONITORING_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_P3D_P3DSTATUS_POSTER_STR ( FILE *in, FILE *out,
       P3D_P3DSTATUS_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* P3D_SCAN_H */

